Whamcloud - gitweb
b=20094
[fs/lustre-release.git] / lustrecvs
index 8023a34..78db90e 100755 (executable)
--- a/lustrecvs
+++ b/lustrecvs
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
 
 LC_COLLATE="C"
 progname="${0##*/}"
@@ -19,9 +19,8 @@ fatal ()
 usage ()
 {
     cat <<EOF
-Usage: $progname <lustretag> <pindate>
+Usage: $progname <lustretag>
   where <lustretag> is a tag of the lustre-core module
-  and <pindate> is an optional quoted timestamp suitable for cvs -D
 EOF
 }
 
@@ -37,14 +36,13 @@ fi
 buildtag="HEAD"
 lustretag="$1"
 shift
-pindate=$1
-shift
 
 if [ "$*" ] ; then
     usage >&2
     exit 1
 fi
 
+
 case "$lustretag" in
     '')
         warn "a lustretag is required."
@@ -56,25 +54,18 @@ case "$lustretag" in
        exit 0
        ;;
 
-    # this is the branch table
-    # keep this list sorted alphabetically!
-
-    # These use special build directories 
-
-    b1_4*) buildtag="b1_4" ;;
-
-    b_release_1_4_6-patchless) buildtag="b1_4" ;;
-    b_release_1_4_7-test) buildtag="b_release_1_4_7" ;;
-
-    b_release*) buildtag=$lustretag ;;
-
     # These releases did not get build tagged for them because they
     # this build system didn't exist when they were tagged
     v1_2_8|v1_4_0) 
         buildtag="b1_4"
         ;;
     
-    v*) buildtag=$lustretag ;;
+    b1_4*) buildtag="b1_4" ;;
+
+    b_release_1_4_6-patchless) buildtag="b1_4" ;;
+    b_release_1_4_7-test) buildtag="b_release_1_4_7" ;;
+
+    v* | b_release*) buildtag=$lustretag ;;
 
     # this is the branch table
     # keep this list sorted alphabetically!
@@ -82,6 +73,7 @@ case "$lustretag" in
     *)
         buildtag="HEAD"
        ;;
+
 esac
 
 error_modules=
@@ -94,33 +86,25 @@ cvs_cmd ()
     update=""
 
     if [ "$tag" = "HEAD" ] ; then
-        cotag=""
-        uptag="-A"
+       cotag=""
+       uptag="-A"
     elif [ "$tag" ] ; then
-        cotag="-r $tag"
-        uptag="-r $tag"
-    else
-        # silently skip if no tag was specified
-        return
-    fi
-
-    # create a cvs date format that will survive shell expansion
-    if [ -n "$pindate" ]; then
-        datecmd=$(date -u +%s -d "$pindate")
-        datecmd="-D @$datecmd"
+       cotag="-r $tag"
+       uptag="-r $tag"
     else
-        datecmd=""
+       # silently skip if no tag was specified
+       return
     fi
 
     if [ -d "$dir" ] ; then
-        echo "$progname: Updating $dir to $tag"
-        ( cd "$dir" && cvs up $datecmd -dAP $uptag )
+       echo "$progname: Updating $dir to $tag"
+       ( cd "$dir" && cvs up -dP $uptag )
     else
-        echo "$progname: Checking out $dir from $tag"
-        cvs co $datecmd -P $cotag -d "$dir" "$module"
+       echo "$progname: Checking out $dir from $tag"
+       cvs co -P $cotag -d "$dir" "$module"
     fi
     if [ $? != 0 ] ; then
-        error_modules="$dir $error_modules"
+       error_modules="$dir $error_modules"
     fi
 }